ru.yandex.clickhouse.jdbc.parser

## Enum StatementType

- java.lang.Object
- - java.lang.Enum<StatementType>
  - - ru.yandex.clickhouse.jdbc.parser.StatementType

All Implemented Interfaces:
  Serializable, Comparable<StatementType>

    public enum StatementType
    extends Enum<StatementType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ALTER`
`ALTER_DELETE`
`ALTER_UPDATE`
`ATTACH`
`CHECK`
`CREATE`
`DELETE`
`DESCRIBE`
`DETACH`
`DROP`
`EXISTS`
`EXPLAIN`
`GRANT`
`INSERT`
`KILL`
`OPTIMIZE`
`RENAME`
`REVOKE`
`SELECT`
`SET`
`SHOW`
`SYSTEM`
`TRUNCATE`
`UNKNOWN`
`UPDATE`
`USE`
`WATCH`

### Method Summary

All Methods Static Methods Concrete Methods
`static StatementType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static StatementType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### UNKNOWN

    public static final StatementType UNKNOWN

#### ALTER

    public static final StatementType ALTER

#### ALTER_DELETE

    public static final StatementType ALTER_DELETE

#### ALTER_UPDATE

    public static final StatementType ALTER_UPDATE

#### ATTACH

    public static final StatementType ATTACH

#### CHECK

    public static final StatementType CHECK

#### CREATE

    public static final StatementType CREATE

#### DELETE

    public static final StatementType DELETE

#### DESCRIBE

    public static final StatementType DESCRIBE

#### DETACH

    public static final StatementType DETACH

#### DROP

    public static final StatementType DROP

#### EXISTS

    public static final StatementType EXISTS

#### EXPLAIN

    public static final StatementType EXPLAIN

#### GRANT

    public static final StatementType GRANT

#### INSERT

    public static final StatementType INSERT

#### KILL

    public static final StatementType KILL

#### OPTIMIZE

    public static final StatementType OPTIMIZE

#### RENAME

    public static final StatementType RENAME

#### REVOKE

    public static final StatementType REVOKE

#### SELECT

    public static final StatementType SELECT

#### SET

    public static final StatementType SET

#### SHOW

    public static final StatementType SHOW

#### SYSTEM

    public static final StatementType SYSTEM

#### TRUNCATE

    public static final StatementType TRUNCATE

#### UPDATE

    public static final StatementType UPDATE

#### USE

    public static final StatementType USE

#### WATCH

    public static final StatementType WATCH

### Method Detail

#### values

    public static StatementType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (StatementType c : StatementType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static StatementType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null